//
// Preloader.as
//
// Illuminatus OPUS Macromedia Flash export script file
// (C) 2002 Digital Workshop
//
// This file may only be used with Illuminatus OPUS during the publishing of Flash
// publications. In may not be distrubuted, or used for any other purpose.
//
// See http://www.digitalworkshop.com for more information on Illuminatus OPUS.
//

// Move the preload onto the screen
this._x = %%PRELOADER_X_POSITION%%;

// Record the external script name
this.external_script = "%%EXTERNAL_SCRIPT_FILENAME%%"

// Load the external code if not doing so already. Assumes 'code_loaded' initially 
// undefined and hence tests to false
if (!this.code_loaded) {
	// If using external script begin loading it
	if (this.external_script.length) {
		_parent._DWCodeSprite.loadMovie(this.external_script);
	}
	this.code_loaded = true;
} else {
	// Get the total amount that needs to be loaded and the amount loaded so far.
	var total = %%PERCENTAGE_LOAD%% * _parent.getBytesTotal() / 100;
	var loaded = _parent.getBytesLoaded();
	if (loaded > total) loaded = total;
	if (this.external_script.length) {
		loaded += _parent._DWCodeSprite.getBytesLoaded();
		total  += _parent._DWCodeSprite.getBytesTotal();
	}

	// Test if the loading is complete
	var progress = loaded * 100.0 / total;
	if (progress >= 100.0 && !this._DW_disabled) {
		progress = 100.0;

		// If using external script initialise it
		if (this.external_script.length) {
			_parent._DWCodeSprite._DWInitExternal();

			// Reset the scripts copy of the root of our movie (otherwise nothing will work!)
			_parent._ILMEventObject.prototype.__DW_root = _parent;
		}

		// Start the publication by moving on to the next frame
		_parent.play();
	}

	// Set the progress to show how much has been loaded
	_DW_Progress = progress;
	_DW_ProgressBar._xscale = progress;
}